<?php

namespace App\Classes\Modules\PackingLists\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Classes\Modules\PackingLists\DataTransferObjects\PackingListPackageObject;
use App\Models\PackingListPackage;

class CreatesPackingListPackage extends AbstractUpdateRecord
{
    public function execute(PackingListPackageObject $object) {
        $model = new PackingListPackage();

        $model->packing_list_id = $object->getPackingListId();
        $model->package_id = $object->getPackageId();

        return $this->handler( $model);
    }
}
